$(document).ready(function(){
  //输入框提示和选中
  $(".input_text").focus(function(){
	 $(this).addClass("input_text_curr");
  }).blur(function(){
	  $(this).removeClass("input_text_curr");  
  })
  //输入框提示和选中 end
  
  //输入框提示和选中 end
  //click TAB切换
  $(".title_tab b").click(function(){
	 var this_tab=$(this).parents(".tab");
	 this_tab.find("b").removeClass("curr");  
     $(this).addClass("curr");
	 var n_curr=this_tab.find("b.curr").index();
	 this_tab.find(".tab_class").each(function(i){
	   if(i==n_curr)
	   $(this).addClass("disinline");
	   else
	   $(this).removeClass("disinline");
	 });	 
  })
  //click TAB切换 end
  	$(".ultab ul li").click(function(){
	  	if($(this).hasClass("curr")){				
			$(this).siblings("li").removeClass("curr");
		}else{
			$(this).siblings("li").removeClass("curr");
			$(this).addClass("curr");
		}
	});
  //商品分类列表
$(function(){
	var obj=$("#soft_dl");
	//$(".sort_mid dl").first().addClass("curr");
	$("#soft_dl dl").each(function(){		
		if ($(this).hasClass("curr")){
			obj=$(this);
		}
		$(this).click(function(){
			obj.removeClass("curr");
			$(this).addClass("curr");
			obj=$(this);
		})
	});
});

	//mouseover TAB切换
  $(".m_title_tab b").mouseover(function(){
	 var this_tab=$(this).parents(".m_tab");
	 this_tab.find("b").removeClass("curr");  
     $(this).addClass("curr");
	 var n_curr=this_tab.find("b.curr").index();
	 this_tab.find(".m_tab_class").each(function(i){
	   if(i==n_curr)
	   $(this).addClass("disinline");
	   else
	   $(this).removeClass("disinline");
	 });	 
  })
  //mouseover TAB切换 end

	$(".sel").hover(function() {
		$.post('/?module=default&controller=cart&action=summary', {}, function(msg){
			cartShow = msg;
			$("#cartInfoDiv").html(msg);
		});
		$(this).find(".car").stop().animate({top: "36", opacity:1}, "fast").css("display","block");
	},function(){
		$(this).find(".car").stop().animate({top: "0", opacity: 0}, "fast").css("display","none");
	});
  //mouseover 头部购物车 end
  //支付方式选中
  $("#pay_id ul li p").click(function(){
	   $("#pay_id ul li").find("p").removeClass("curr"); 
	   $(this).addClass("curr");
	})	
  //支付方式选中 end
  //img_li选中
  $(".img_ul li,#n_list li,.mt h2,.img_ul li,.layout_pic2 ul li").mouseover(function(){
	  $(this).addClass("curr");
  }).mouseout(function(){
	  $(this).removeClass("curr");
  });
  //img_li选中 end
  
  //sort 效果
  $(".Z_TypeList .Z_MenuList h3").mouseover(function(){
	  $(this).addClass("curr");
  }).mouseout(function(){
	  $(this).removeClass("curr");
  });
  //sort 效果 end
});

//浮动导航
var HEADER_TOP_HEIGHT = 100;
jQuery(function(){
	if (!($.browser.msie && ($.browser.version == "6.0") && !$.support.style)){
		$(window).scroll(function(){
			if($(window).scrollTop() > 138){
				$("#nav_bar").css({"position":"fixed"});
				$("#nav_bar").css({"width":"100%"});
				$("#nav_bar").css({"z-index":"887"});
				$("#nav_bar").css({"top":"0"});
			}else{
				$("#nav_bar").css({"position":"relative"});
			}		
		});
	}
});
  
//分类菜单
$(document).ready(function(){
	$.fn.hoverForIE6=function(option){
		var s=$.extend({current:"hover",delay:10},option||{});
		$.each(this,function(){var timer1=null,timer2=null,flag=false;
		$(this).bind("mouseover",function(){
			if (flag)
			{
				clearTimeout(timer2);
			}
			else
			{
				var _this=$(this);
				timer1=setTimeout(function(){_this.addClass(s.current);flag=true;},s.delay);
			}
		}).bind("mouseout",function(){
			if (flag){ 
				var _this=$(this);timer2=setTimeout(function(){
					_this.removeClass(s.current);flag=false;
				},s.delay);
			}else{
				clearTimeout(timer1);
			}
		})
	})};
	$(".allsort").hoverForIE6({current:"firsthover",delay:50});
	$(".pro_show ul li").hoverForIE6({current:"curr",delay:50});
	$(".allsort .mc ul li").hoverForIE6({current:"threehover",delay:50});
}); 

/*列表页图片滚动 */
(function(jQuery){
var flag = "up";
jQuery.fn.extend({
        recommendScroll:function(opt,callback){
                //参数初始化
                if(!opt) var opt={};
                var timerID;
                var _this=this.eq(0).find("dl:first");
                var lineW=_this.find("dd:first").width(), //获取宽度
                        line=opt.line?parseInt(opt.line,10):parseInt(this.width()/lineW,10),
                        speed=opt.speed?parseInt(opt.speed,15):5000; //卷动速度，数值越大，速度越慢（毫秒）每次滚动的行数，默认为一屏，即父容器高度
                        timer=opt.timer //?parseInt(opt.timer,10):3000; //滚动的时间间隔（毫秒）
                if(line==0) line=1;
                var upHeight=0-line*lineW;
                //滚动函数
                var scrollUp=function(){
						flag = "up";
                        _this.animate({
                                marginLeft:upHeight
                        },speed,function(){
                                for(i=1;i<=line;i++){
                                        _this.find("dd:first").appendTo(_this);
                                }
                                _this.css({marginLeft:0});
                        });
                }
                //Shawphy:向下翻页函数
                var scrollDown=function(){
						flag = "down";
                        for(i=1;i<=line;i++){
                                _this.find("dd:last").show().prependTo(_this);
                        }
                        _this.css({marginLeft:upHeight});
                        _this.animate({
                                marginLeft:0
                        },speed);
                }
               //Shawphy:自动播放
                var autoPlay = function(){
						if(timer)timerID = window.setInterval(function(){
							if (flag=="up"){
								scrollUp();
							}else{
								scrollDown();	
							}											   
						},timer);
                };
                var autoStop = function(){
                        if(timer)window.clearInterval(timerID);
                };
                 //鼠标事件绑定
                if($(this).find('dd').length>1){//当滚动的数目少于显示的数目，不滚动,按钮无效
					_this.hover(autoStop,autoPlay).mouseout();
				}
        }       
})
})(jQuery);
$(document).ready(function(){
	$(".recommend").recommendScroll({line:1,speed:200,timer:4000});
});


//TAB切换
function setTabAll(name,cursel,n){
	for(i=1;i<=n;i++){
	   if(cursel==i)
	   {
		  $("#"+name+"_"+i).removeClass("disnone");
		  $("#"+name+i).addClass("curr");
	   } 
	   else{
	   $("#"+name+"_"+i).addClass("disnone");
	   $("#"+name+i).removeClass("curr");}
	}
}
//TAB切换 end
//产品数量加减
function upDownNumber(sType, obj) {
	if (sType == '+') {
	   var inputVal=$(obj).siblings("input");
	   var amountVal=parseInt(inputVal.val());
	   var maxVal=$(obj).attr("title");
	   if(amountVal>=maxVal)
	   {
	      inputVal.val(maxVal);
		    alert("您最多能购买"+maxVal+"件！")
	   }
	   else
	   {
		   inputVal.val(amountVal+1);
	   }
	}
	else {
	   var inputVal=$(obj).siblings("input");
	   var amountVal=parseInt(inputVal.val());	   
	   if(amountVal==1)
	   {
	     inputVal.val(1);
		   alert("您的购买商品数量不能少于1件!")
	   }
	   else
	     inputVal.val(amountVal-1);
	}
}
function purchaseBlur(obj){
	var maxVal=$(obj).siblings("span.plus").attr("title");
	var inputVal=parseInt($(obj).val());
  if($(obj).val()=='' && $(obj).val()==0)
	{
		$(obj).val(1)
	}
	if(inputVal>maxVal){
		$(obj).val(maxVal);
		alert("您最多能购买"+maxVal+"件!");
}
}
//产品数量加减 end
//倒计时
function lxfEndtime(){
	$(".overTime").each(function(){
		var endtime = new Date($(this).attr("endtime")).getTime();//取结束日期(毫秒值)
		var nowtime = new Date().getTime();        //今天的日期(毫秒值)
		var youtime = endtime-nowtime;//还有多久(毫秒值)
		var seconds = youtime/1000;
		var minutes = Math.floor(seconds/60);
		var hours = Math.floor(minutes/60);
		var days = Math.floor(hours/24);
		var CDay= days ;
		var CHour= hours % 24;
		var CMinute= minutes % 60;
		var CSecond= Math.floor(seconds%60);//"%"是取余运算，可以理解为60进一后取余数，然后只要余数。
		if(endtime<=nowtime){
			$(this).css("display","none");//如果结束日期小于当前日期就隐藏时间
			$(this).parent().children(".act_over").css("display","block");
		}else{
			if(days){
				$(this).find(".day_time").html(days);
				$(this).find(".hour_time").html(CHour);
				$(this).find(".minute_time").html(CMinute);
				$(this).find(".second_time").html(CSecond);
			}
			else if (CHour) {
				$(this).find(".day_time").css("display","none");
				$(this).find(".daytime").html("");
				$(this).find(".hour_time").html(CHour);
				$(this).find(".minute_time").html(CMinute);
				$(this).find(".second_time").html(CSecond); 
			}
			else{					
				$(this).find(".day_time").css("display","none");
				$(this).find(".daytime").html("");
				$(this).find(".hour_time").css("display","none");
				$(this).find(".hourtime").html("");
				$(this).find(".minute_time").html(CMinute);
				$(this).find(".second_time").html(CSecond); 
			}
		}
	});
	setTimeout("lxfEndtime()",1000);
};
$(function(){
	lxfEndtime();
});
//倒计时 end
//广告滚动图片
$(function(){
	 var index = 0;
	 $("#btn li").mouseover(function(){
		index  =  $("#btn li").index(this);
		showImg(index);
	});	 
	 //滑入 停止动画，滑出开始动画.
	 $('#imgnav').hover(function(){
			  if(MyTime){
				 clearInterval(MyTime);
			  }
	 },function(){
			  MyTime = setInterval(function(){
			    showImg(index)
				index++;
				if(index==5){index=0;}
			  } , 5000);
	 });	 
	 //自动开始
	 var MyTime = setInterval(function(){
		showImg(index)
		index++;
		if(index==5){index=0;}
	 } , 5000);
})
//关键函数：通过控制i ，来显示不通的幻灯片
function showImg(i){
   $("#img img").eq(i).stop(true,true).fadeIn(800).parent().siblings().find("img").hide();
   $("#btn li").eq(i).addClass("hov").siblings().removeClass("hov");
   $("#btn").find("p a").html($("#img img").eq(i).parent().find("img").attr("alt"));
   $("#btn").find("p a").attr("href",$("#img img").eq(i).parent("a").attr("href"));
}
//广告滚动图片 end

// 图片自动缩放
(function ($) {
	var loadImg = function (url, fn) {
		var img = new Image();
		img.src = url;
		if (img.complete) {
			fn.call(img);
		} else {
			img.onload = function () {
				fn.call(img);
				img.onload = null;
			};
		};
	};
	
	$.fn.imgAutoSize = function (padding) {
		return this.find('img').each(function (i, img) {
			var maxWidth = $(this).parents('.img_center').innerWidth() - (padding || 0);
			var maxHeight = $(this).parents('.img_center').innerHeight() - (padding || 0);
			loadImg(this.src, function () {
				if (this.width > this.height) {
					if (this.width > maxWidth) {
						var height = maxWidth / this.width * this.height,
						width = maxWidth;
						img.width = width;
						img.height = height;
					};
				}
				else {
					if (this.height > maxHeight) {
						var width = maxHeight / this.height * this.width,
						height = maxHeight;
						img.width = width;
						img.height = height;
					};
				}
			});
		});
	};
})(jQuery);
$(".img_center").imgAutoSize();

//客服在线
$(function(){
	$("#on_line dl dt").click( function(){
       if($(this).hasClass("curr"))
       {
         $(this).removeClass("curr");
         $("#on_line dd").hide();
         $("#on_line").css("width","26px");
       }
       else{
         $(this).addClass("curr");
         $("#on_line dd").show();
         $("#on_line").css("width","105px");
       }
   })
});
//返回顶部
$(function() {
    var $backToTopTxt = "", $backToTopEle = $('<div class="backToTop"></div>').appendTo($("body"))
        .text($backToTopTxt).attr("title", $backToTopTxt).click(function() {
            $("html, body").animate({ scrollTop: 0 }, 120);
    }), $backToTopFun = function() {
        var st = $(document).scrollTop(), winh = $(window).height();
        (st > 0)? $backToTopEle.show(): $backToTopEle.hide();
        //IE6下的定位
        if (!window.XMLHttpRequest) {
            $backToTopEle.css("top", st + winh - 166);
        }
    };
    $(window).bind("scroll", $backToTopFun);
});

// 修复 IE 下 PNG 图片不能透明显示的问题
function fixPNG(myImage) {
	var arVersion = navigator.appVersion.split("MSIE");
	var version = parseFloat(arVersion[1]);
	if ((version >= 5.5) && (version < 7) && (document.body.filters)){
		 var imgID = (myImage.id) ? "id='" + myImage.id + "' " : "";
		 var imgClass = (myImage.className) ? "class='" + myImage.className + "' " : "";
		 var imgTitle = (myImage.title) ? "title='" + myImage.title   + "' " : "title='" + myImage.alt + "' ";
		 var imgStyle = "display:inline-block;" + myImage.style.cssText;
		 var strNewHTML = "<span " + imgID + imgClass + imgTitle
	
	   + " style=\"" + "width:" + myImage.width
	
	   + "px; height:" + myImage.height
	
	   + "px;" + imgStyle + ";"
	
	   + "filter:progid:DXImageTransform.Microsoft.AlphaImageLoader"
	
	   + "(src=\'" + myImage.src + "\', sizingMethod='scale');\"></span>";
		 myImage.outerHTML = strNewHTML;
	}
} 


/* 2013-02-20 wgh 更多物流方式详细页 */
$(function(){
	if(!document.getElementsByTagName(".more_way")) return false;
	$(".more_way").click( function(){
	   if($(this).hasClass("curr"))
	   {
		 $(this).removeClass("curr");
		 $(".more_cont span.hidden").css("display","none")
		 $(this).html("更多方式");
	   }
	   else{
		 $(this).addClass("curr");
		 $(".more_cont span.hidden").css("display","inline")
		 $(this).html("隐藏");
	   }
   })
});
